package com.bonus.core.allocation.advise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("投诉建议入参类")
public class BasicsComplaintDTO {
   @ApiModelProperty("openid")
   private String openid;
   @ApiModelProperty("来源类型 1-钉钉 2-微信 3-小程序")
   private Integer sourceType;
   @ApiModelProperty("餐厅id")
   private Long canteenId;
   @ApiModelProperty("投诉建议内容")
   private String content;
   @ApiModelProperty("投诉图片")
   private List<String> complaintPictureList;
   @ApiModelProperty("人员id ")
   private Long custId;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("联系方式")
   private String mobile;
   @ApiModelProperty("回复内容")
   private String replyContent;

   public String getOpenid() {
      return this.openid;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getContent() {
      return this.content;
   }

   public List<String> getComplaintPictureList() {
      return this.complaintPictureList;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getReplyContent() {
      return this.replyContent;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setContent(final String content) {
      this.content = content;
   }

   public void setComplaintPictureList(final List<String> complaintPictureList) {
      this.complaintPictureList = complaintPictureList;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setReplyContent(final String replyContent) {
      this.replyContent = replyContent;
   }

}
